Skip to content

GET Global Summary.

GET
/api/observability/synthetic_monitor/namespaces/{namespace}/global-summary
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/global-summary \
--header 'Authorization: <Authorization>'

Returns a healthy and critical count of all monitors in namespace, based on monitor type.

Examples of this operation.

namespace
required
string

Namespace Request namespace.

monitor_type
string

Monitor_type. Monitor type.

A successful response.

Media typeapplication/json
GetGlobalSummaryResponse

Response of getting global monitor summary.

object
critical_monitor_count
critical_monitor_count

Number of critical monitors of designated type.

integer format: int32
healthy_monitor_count
healthy_monitor_count

Number of healthy monitors of designated type.

integer format: int32
number_of_monitors
number_of_monitors

Number of total monitors of designated type.

integer format: int32
Examplegenerated
{
"critical_monitor_count": 1,
"healthy_monitor_count": 1,
"number_of_monitors": 1
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example